<template>
    <div>
        <b-col>
            <b-card 
            :title="title" 
            :img-src="imageSrc" 
            :sub-title="subTitle" 
            img-alt="Project-info" 
            img-top
            tag="article" 
            style="max-width:20rem" 
            class="mb-2">
            <b-button variant="primary">View</b-button>
            </b-card>
        </b-col>
    </div>
</template>

<script>
    export default {
        props: [
            'title',
            'imageSrc',
            'subTitle'
            ]
    }
</script>

<style lang="scss" scoped>
.card-img-top {
    height: 15rem;
}
</style>